Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.lyo.client.oslc
Class OslcOAuthClient

    java.lang.Object
      org.eclipse.lyo.client.oslc.OslcClient
          org.eclipse.lyo.client.oslc.OslcOAuthClient

    public class OslcOAuthClient

extends OslcClient

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.lyo.client.oslc.OslcClient
`OslcClient.OAuthHttpPool`

Field Summary
`protected net.oauth.OAuthAccessor` | `accessor`

Fields inherited from class org.eclipse.lyo.client.oslc.OslcClient
`httpClient`

Constructor Summary
`OslcOAuthClient(String requestTokenURL, String authorizationTokenURL, String accessTokenURL, String consumerKey, String consumerSecret)` Initialize an OAuthClient with the required OAuth URLs
`OslcOAuthClient(String requestTokenURL, String authorizationTokenURL, String accessTokenURL, String consumerKey, String consumerSecret, String oauthRealmName)` Initialize an OAuthClient with the required OAuth URLs

Method Summary
`org.apache.wink.client.ClientResponse` | `createResource(String url, Object artifact, String mediaType, String acceptType)` Create (POST) an artifact to a URL - usually an OSLC Creation Factory
`org.apache.wink.client.ClientResponse` | `getResource(String url, String mediaType)` Abstract method get an OSLC resource and return a Wink ClientResponse
`protected net.oauth.OAuthMessage` | `getResourceInternal(String url, String httpMethod, boolean restart)` Performs necessary OAuth negotiation.
`org.apache.wink.client.ClientResponse` | `updateResource(String url, Object artifact, String mediaType, String acceptType, String ifMatch)` Update (PUT) an artifact to a URL - usually the URL for an existing OSLC artifact

Methods inherited from class org.eclipse.lyo.client.oslc.OslcClient
`createResource, deleteResource, getClientConfig, getClientPool, getConfiguredSecureSocketProtocol, getHttpClient, getQueryResource, lookupCreationFactory, lookupCreationFactory, lookupCreationFactoryResource, lookupCreationFactoryResource, lookupQueryCapability, lookupServiceProviderUrl, setConfiguredSecureSocketProtocol, updateResource, updateResource`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### accessor

    protected net.oauth.OAuthAccessor accessor

Constructor Detail

### OslcOAuthClient

    public OslcOAuthClient(String requestTokenURL,
                           String authorizationTokenURL,
                           String accessTokenURL,
                           String consumerKey,
                           String consumerSecret)

  Initialize an OAuthClient with the required OAuth URLs

  Parameters:
    `requestTokenURL` -
    `authorizationTokenURL` -
    `accessTokenURL` -
    `consumerKey` -
    `consumerSecret` -

### OslcOAuthClient

    public OslcOAuthClient(String requestTokenURL,
                           String authorizationTokenURL,
                           String accessTokenURL,
                           String consumerKey,
                           String consumerSecret,
                           String oauthRealmName)

  Initialize an OAuthClient with the required OAuth URLs

  Parameters:
    `requestTokenURL` -
    `authorizationTokenURL` -
    `accessTokenURL` -
    `consumerKey` -
    `consumerSecret` -

Method Detail

### getResource

    public org.apache.wink.client.ClientResponse getResource(String url,
                                                             String mediaType)
                                                      throws IOException,
                                                             net.oauth.OAuthException,
                                                             URISyntaxException

  Description copied from class: `OslcClient`
  Abstract method get an OSLC resource and return a Wink ClientResponse

  Overrides:
    `getResource` in class `OslcClient`
  Returns:
    a Wink ClientResponse
  Throws:
    `IOException`
    `net.oauth.OAuthException`
    `URISyntaxException`

### updateResource

    public org.apache.wink.client.ClientResponse updateResource(String url,
                                                                Object artifact,
                                                                String mediaType,
                                                                String acceptType,
                                                                String ifMatch)
                                                         throws IOException,
                                                                net.oauth.OAuthException,
                                                                URISyntaxException

  Description copied from class: `OslcClient`
  Update (PUT) an artifact to a URL - usually the URL for an existing OSLC artifact

  Overrides:
    `updateResource` in class `OslcClient`
  Returns:
  Throws:
    `IOException`
    `net.oauth.OAuthException`
    `URISyntaxException`

### createResource

    public org.apache.wink.client.ClientResponse createResource(String url,
                                                                Object artifact,
                                                                String mediaType,
                                                                String acceptType)
                                                         throws IOException,
                                                                net.oauth.OAuthException,
                                                                URISyntaxException

  Create (POST) an artifact to a URL - usually an OSLC Creation Factory

  Overrides:
    `createResource` in class `OslcClient`
  Parameters:
    `url` -
    `artifact` -
    `mediaType` -
    `acceptType` -
  Returns:
  Throws:
    `URISyntaxException`
    `net.oauth.OAuthException`
    `IOException`

### getResourceInternal

    protected net.oauth.OAuthMessage getResourceInternal(String url,
                                                         String httpMethod,
                                                         boolean restart)
                                                  throws IOException,
                                                         net.oauth.OAuthException,
                                                         URISyntaxException

  Performs necessary OAuth negotiation. - get request token - throw redirect exception to authorization URL (and print message) - exchange request token for access token - access protected URL and return OAuthMessage

  Parameters:
    `url` -
    `httpMethod` -
    `restart` -
  Returns:
  Throws:
    `IOException`
    `net.oauth.OAuthException`
    `URISyntaxException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2014. All Rights Reserved.